<!--Table here-->
<div class="containerAddButton">
  <button
    *ngIf="this.user.isAdmin"
    type="button"
    class="btn addButton"
    data-toggle="modal"
    (click)="resetAddModal(); showAddModal(); myModal.show()"
  >
    Ajouter un hébergement
  </button>
</div>
<div class="card">
  <div class="card-body">
    <div class="loadingTableContainer" *ngIf="isLoading || dataNotFound">
      <div class="loadingTable">
        <div class="dataNotFound" *ngIf="isLoading">
          <div style="opacity: 0.7; color: black">Chargement ...</div>
          <img
            src="assets/img/gif/cloud.gif"
            alt="this scope moves"
            width="70"
          />
        </div>
        <div class="dataNotFound" *ngIf="dataNotFound">
          <div style="color: black">Aucune donnée trouvée !</div>
          <img
            src="assets/img/gif/zoom.gif"
            alt="this scope moves"
            width="50"
          />
        </div>
      </div>
    </div>
    <table class="table table-striped">
      <thead style="z-index: 88" class="tableHead">
      <tr class="table-sm cc">
        <th style=" min-width: 60px">
          ID
          <input
            *ngIf="filterId"
            class="inputFilter"
            style="width: 50px"
            type="text"
            [(ngModel)]="filters[0]['id']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterId = !filterId"
          ></i>
        </th>
        <th>
          Valeur
          <input
            *ngIf="filterNom"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[3]['value[gte]']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterNom = !filterNom"
          ></i>
        </th>
        <th>
          Location
          <input
            *ngIf="filterPays"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[5]['leasing']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterPays = !filterPays"
          ></i>
        </th>
        <th>
          Loyer annuel
          <input
            *ngIf="filterNomUtilisateur"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[6]['annual_rent[gte]']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterNomUtilisateur = !filterNomUtilisateur"
          ></i>
        </th>
        <th>
          Date de commission
          <input
            *ngIf="filterRef"
            class="inputFilter dateFilter"
            type="date"
            [(ngModel)]="filters[7]['commissioning_date[after]']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterRef = !filterRef"
          ></i>
        </th>
        <th>
          Date de installation
          <input
            *ngIf="filterInstallationDate"
            class="inputFilter dateFilter"
            type="date"
            [(ngModel)]="filters[7]['commissioning_date[after]']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterInstallationDate = !filterInstallationDate"
          ></i>
        </th>
        <th>
          Date d'enlèvement
          <input
            *ngIf="filterRemovingDate"
            class="inputFilter dateFilter"
            type="date"
            [(ngModel)]="filters[7]['commissioning_date[after]']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterRemovingDate = !filterRemovingDate"
          ></i>
        </th>
        <th>
          Etat
          <input
            *ngIf="filterSiteType"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[8]['state']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterSiteType = !filterSiteType"
          ></i>
        </th>
        <th>
          Lieu
          <input
            *ngIf="filterSiteGroup"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[9]['place']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterSiteGroup = !filterSiteGroup"
          ></i>
        </th>
        <th>
          version
          <input
            *ngIf="filterGroupingType"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[10]['version']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterGroupingType = !filterGroupingType"
          ></i>
        </th>
        <th>
          type d'installation
          <input
            *ngIf="filterInstallationType"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[11]['installation_type']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterInstallationType = !filterInstallationType"
          ></i>
        </th>
        <th>
          type de propriétaire
          <input
            *ngIf="filterOwnerType"
            class="inputFilter"
            type="text"
            [(ngModel)]="filters[12]['owner_type']"
            (keyup)="getSites(1)"
          />
          <i
            class="fa fa-filter fa-lg customfilter"
            (click)="filterOwnerType = !filterOwnerType"
          ></i>
        </th>
        <th *ngIf="this.user.isAdmin" style="width: 80px; padding: 15px 0px">
          Actions
        </th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let siteType of sites">
        <td>{{ siteType.id }}</td>
        <td>{{ siteType.value }}</td>
        <td>{{ siteType.leasing }}</td>
        <td>{{ siteType.annual_rent }}</td>
        <td>{{ siteType.commissioning_date| date: "d MMM y"  }}</td>
        <td>{{ siteType.installation_date| date: "d MMM y" }}</td>
        <td>{{ siteType.removing_date| date: "d MMM y" }}</td>
        <td>{{ siteType.state.name }}</td>
        <td>{{ siteType.place.name }}</td>
        <td>{{ siteType.version.name }}</td>
        <td>{{ siteType.installation_type.name }}</td>
        <td>{{ siteType.owner_type.name }}</td>
        <td style="z-index: 2222" *ngIf="this.user.isAdmin">
          <div class="editIcon">
            <i
              class="icon-note icons font-2xl"
              (click)="showUpdateModal(siteType); myUpdateModal.show()"
            ></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="count">
    <div>Résultats {{ sites.length }} (filtrés parmi {{ totalCount }})</div>
  </div>
</div>
<!--Pagination here-->
<div class="pages" *ngIf="totalCount > 10">
  <ul class="pagination">
    <li class="page-item" (click)="getSites(pagination.first)">
      <a class="page-link"><i class="fa fa-angle-double-left fa-lg"></i></a>
    </li>

    <li class="page-item" (click)="getSites(pagination.prev)">
      <a class="page-link" *ngIf="pagination.first < pagination.current"
        ><i class="fa fa-angle-left fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSites(pagination.prev - 1)">
      <a class="page-link" *ngIf="pagination.first < pagination.prev">..</a>
    </li>
    <li class="page-item" (click)="getSites(pagination.prev)">
      <a class="page-link" *ngIf="pagination.prev < pagination.current">{{
        pagination.prev
      }}</a>
    </li>
    <li class="page-item active" (click)="getSites(pagination.current)">
      <a class="page-link">{{ pagination.current }}</a>
    </li>
    <li class="page-item" (click)="getSites(pagination.next)">
      <a class="page-link" *ngIf="pagination.next > pagination.current">{{
        pagination.next
      }}</a>
    </li>
    <li class="page-item">
      <a
        class="page-link"
        (click)="getSites(pagination.next + 1)"
        *ngIf="pagination.next < pagination.last"
        >..</a
      >
    </li>
    <li class="page-item" (click)="getSites(pagination.next)">
      <a class="page-link" *ngIf="pagination.current != pagination.last"
        ><i class="fa fa-angle-right fa-lg"></i
      ></a>
    </li>
    <li class="page-item" (click)="getSites(pagination.last)">
      <a class="page-link"><i class="fa fa-angle-double-right fa-lg"></i></a>
    </li>
  </ul>
</div>
<!--Add window-->
<div
  bsModal
  #myModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Ajouter un hébergement</h4>
        <button
          type="button"
          class="close"
          (click)="myModal.hide(); addForm = myForm; resetAddModal()"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div role="alert" class="alert alert-success" *ngIf="successAddSiteType">
        Un nouveau type de site est ajouté <strong>avec succès.</strong>
      </div>
      <div role="alert" class="alert alert-danger" *ngIf="errorAddSiteType">
        <strong>Oops! </strong> Modifiez quelques éléments et essayez de
        soumettre de nouveau !
      </div>
      <form #myForm="ngForm">
        <div class="modal-body">
          <div class="form-group custom-col">
            <label>Valeur</label>
            <input
              type="number"
              min="0"
              placeholder="Valeur"
              class="form-control"
              [(ngModel)]="newtSiteType.value"
              style="color: black"
              [ngStyle]="inputStyle"
              name="name"
              required
              #name="ngModel"
            />
            <span *ngIf="!name.valid && name.touched">
              <div *ngIf="name.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Location</label>
            <input
              type="text"
              placeholder="Location"
              class="form-control"
              [(ngModel)]="newtSiteType.leasing"
              style="color: black"
              name="country"
              required
              #country="ngModel"
            />
            <span *ngIf="!country.valid && country.touched">
              <div *ngIf="country.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Loyer annuel</label>
            <input
              type="number"
              min="0"
              placeholder="Loyer annuel"
              class="form-control"
              [(ngModel)]="newtSiteType.annualRent"
              style="color: black"
              name="x3Reference"
              required
              #x3Reference="ngModel"
            />
            <span *ngIf="!x3Reference.valid && x3Reference.touched">
              <div *ngIf="x3Reference.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Date de commission </label>
            <input
              type="date"
              placeholder="Date de commission"
              class="form-control"
              [(ngModel)]="newtSiteType.commissioningDate"
              style="color: black"
              name="hutttosoftUsername"
              required
              #hutttosoftUsername="ngModel"
            />
            <span
              *ngIf="!hutttosoftUsername.valid && hutttosoftUsername.touched"
            >
              <div *ngIf="hutttosoftUsername.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Date d'installation </label>
            <input
              type="date"
              class="form-control"
              [(ngModel)]="newtSiteType.installationDate"
              style="color: black"
              name="installationDate"
              required
              #installationDate="ngModel"
            />
            <span *ngIf="!installationDate.valid && installationDate.touched">
            <div *ngIf="installationDate.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Date d'enlèvement  </label>
            <input
              type="date"
              class="form-control"
              [(ngModel)]="newtSiteType.removingDate"
              style="color: black"
              name="removingDate"
              required
              #removingDate="ngModel"
            />
            <span *ngIf="!removingDate.valid && removingDate.touched">
            <div *ngIf="removingDate.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Etat</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.state"
              name="siteType"
              required
              #siteType="ngModel"
            >
              <option selected value="">Choisir un etat</option>
              <option
                *ngFor="let rentalType of states"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!siteType.valid && siteType.touched">
              <div *ngIf="siteType.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Lieu</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.place"
              name="siteGroup"
              required
              #siteGroup="ngModel"
            >
              <option selected value="">Choisir un lieu</option>
              <option
                *ngFor="let rentalType of places"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!siteGroup.valid && siteGroup.touched">
              <div *ngIf="siteGroup.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Version</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.version"
              name="groupingType"
              required
              #groupingType="ngModel"
            >
              <option selected value="">Choisir une version</option>
              <option
                *ngFor="let rentalType of versions"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!groupingType.valid && groupingType.touched">
              <div *ngIf="groupingType.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Type d'installation</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.installationType"
              name="installationType"
              required
              #installationType="ngModel"
            >
              <option selected value="">Choisir un type d'installation</option>
              <option
                *ngFor="let rentalType of installationTypes"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!installationType.valid && installationType.touched">
              <div *ngIf="installationType.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Type de propriétaire</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.ownerType"
              name="ownerType"
              required
              #ownerType="ngModel"
            >
              <option selected value="">Choisir un type de propriétaire</option>
              <option
                *ngFor="let rentalType of ownerTypes"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!ownerType.valid && ownerType.touched">
              <div *ngIf="ownerType.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary"
            (click)="myModal.hide(); resetAddModal()"
          >
            Annuler
          </button>
          <button
            [disabled]="myForm.form.invalid || entityExist"
            type="button"
            class="btn addButton"
            (click)="addForm = myForm; addNewSiteType()"
          >
            Ajouter
          </button>
        </div>
      </form>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!--Modification window-->
<div
  bsModal
  #myUpdateModal="bs-modal"
  class="modal fade"
  tabindex="-1"
  role="dialog"
  aria-labelledby="myModalLabel"
  aria-hidden="false"
>
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Modifier ce hébergement</h4>
        <button
          type="button"
          class="close"
          (click)="
            myUpdateModal.hide(); addForm = myUpdateForm; resetAddModal()
          "
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <!--Alert messages here-->
      <div
        class="alert alert-success alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="successModifySiteType"
      >
        Les modifications ont été opérées avec<strong> succès !</strong>
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>

      <div
        class="alert alert-danger alert-dismissible fade show"
        role="alert"
        style="
          max-width: 95%;
          margin-left: 10px;
          margin-top: 10px;
          margin-bottom: -8px;
        "
        *ngIf="failModifySiteType"
      >
        <strong>Attention </strong> Ce nom existe déjà !
        <button
          type="button"
          class="btn-close"
          data-bs-dismiss="alert"
          aria-label="Close"
        ></button>
      </div>
      <form #myUpdateForm="ngForm">
        <div class="modal-body">
          <div class="form-group custom-col">
            <label>Valeur</label>
            <input
              type="number"
              min="0"
              placeholder="Valeur"
              class="form-control"
              [(ngModel)]="newtSiteType.value"
              style="color: black"
              name="name"
              required
              #nameUp="ngModel"
            />
            <span *ngIf="!nameUp.valid && nameUp.touched">
              <div *ngIf="nameUp.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Location</label>
            <input
              type="text"
              placeholder="Location"
              class="form-control"
              [(ngModel)]="newtSiteType.leasing"
              style="color: black"
              name="country"
              required
              #countryUp="ngModel"
            />
            <span *ngIf="!countryUp.valid && countryUp.touched">
              <div *ngIf="countryUp.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Loyer annuel</label>
            <input
              type="text"
              placeholder="Loyer annuel"
              class="form-control"
              [(ngModel)]="newtSiteType.annualRent"
              style="color: black"
              name="x3Reference"
              required
              #x3ReferenceUp="ngModel"
            />
            <span *ngIf="!x3ReferenceUp.valid && x3ReferenceUp.touched">
              <div *ngIf="x3ReferenceUp.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Date de commission </label>
            <input
              type="date"
              placeholder="Date de commission"
              class="form-control"
              [(ngModel)]="newtSiteType.commissioningDate"
              style="color: black"
              name="hutttosoftUsernameUp"
              required
              #hutttosoftUsernameUp="ngModel"
            />
            <span
              *ngIf="
                !hutttosoftUsernameUp.valid && hutttosoftUsernameUp.touched
              "
            >
              <div *ngIf="hutttosoftUsernameUp.errors.required">
                * Ce champ est obligatoire !
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Date d'installation </label>
            <input
              type="date"
              class="form-control"
              [(ngModel)]="newtSiteType.installationDate"
              style="color: black"
              name="installationDateUp"
              required
              #installationDateUp="ngModel"
            />
            <span *ngIf="!installationDateUp.valid && installationDateUp.touched">
            <div *ngIf="installationDateUp.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Date d'enlèvement  </label>
            <input
              type="date"
              class="form-control"
              [(ngModel)]="newtSiteType.removingDate"
              style="color: black"
              name="removingDateUp"
              required
              #removingDateUp="ngModel"
            />
            <span *ngIf="!removingDateUp.valid && removingDateUp.touched">
            <div *ngIf="removingDateUp.errors.required"> * Ce champ est obligatoire ! </div>
          </span>
          </div>
          <div class="form-group custom-col">
            <label>Etat</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.state"
              name="siteType"
              required
              #siteTypeUp="ngModel"
            >
              <option selected value="">Choisir un etat</option>
              <option
                *ngFor="let rentalType of states"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!siteTypeUp.valid && siteTypeUp.touched">
              <div *ngIf="siteTypeUp.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Lieu</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.place"
              name="siteGroup"
              required
              #siteGroupUp="ngModel"
            >
              <option selected value="">Choisir un lieu</option>
              <option
                *ngFor="let rentalType of places"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!siteGroupUp.valid && siteGroupUp.touched">
              <div *ngIf="siteGroupUp.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Version</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.version"
              name="groupingType"
              required
              #groupingTypeUp="ngModel"
            >
              <option selected value="">Choisir une version</option>
              <option
                *ngFor="let rentalType of versions"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!groupingTypeUp.valid && groupingTypeUp.touched">
              <div *ngIf="groupingTypeUp.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
          <div class="form-group custom-col">
            <label>Type d'installation</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.installationType"
              name="installationType"
              required
              #installationTypeUp="ngModel"
            >
              <option selected value="">Choisir un type d'installation</option>
              <option
                *ngFor="let rentalType of installationTypes"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span
              *ngIf="!installationTypeUp.valid && installationTypeUp.touched"
            >
              <div *ngIf="installationTypeUp.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>

          <div class="form-group custom-col">
            <label>Type de propriétaire</label>
            <select
              style="color: black"
              class="form-control"
              [(ngModel)]="newtSiteType.ownerType"
              name="ownerType"
              required
              #ownerTypeUp="ngModel"
            >
              <option selected value="">Choisir un type de propriétaire</option>
              <option
                *ngFor="let rentalType of ownerTypes"
                [ngValue]="rentalType['@id']"
              >
                {{ rentalType["name"] }}
              </option>
            </select>
            <span *ngIf="!ownerTypeUp.valid && ownerTypeUp.touched">
              <div *ngIf="ownerTypeUp.errors.required">
                * Veuillez sélectionner une option pour continuer
              </div>
            </span>
          </div>
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary"
            (click)="myUpdateModal.hide()"
          >
            Annuler
          </button>
          <button
            [disabled]="myUpdateForm.form.invalid"
            type="button"
            class="btn addButton"
            (click)="addForm = myUpdateForm; putSiteType()"
          >
            Enregistrer
          </button>
        </div>
      </form>
    </div>
    <!-- /.modal-content -->
  </div>
  <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
